Branch: Tag:

2002-10-22

2002-10-22 00:18:11 by Martin Nilsson <mani@lysator.liu.se>

Internet Server -> ChiliMoon

Rev: server/data/example_pages/eng/index.html:1.7
Rev: server/data/example_pages/template:1.4
Rev: server/data/include/version.h:1.540
Rev: server/modules/tags/javascript_support/scripts/CrossPlatform.js:1.12
Rev: server/modules/tags/javascript_support/scripts/DragDrop.js:1.5
Rev: server/modules/tags/javascript_support/scripts/DynamicLoading.js:1.12
Rev: server/modules/tags/javascript_support/scripts/Popup.js:1.20
Rev: server/modules/tags/javascript_support/scripts/Scroll.js:1.6
Rev: server/plugins/arg_cache/replicate.pike:1.17
Rev: server/plugins/font_handlers/builtin.pike:1.15
Rev: server/plugins/font_handlers/compactimgfile.pike:1.8
Rev: server/plugins/font_handlers/freetype.pike:1.21
Rev: server/plugins/font_handlers/imagedir.pike:1.14
Rev: server/plugins/font_handlers/imagetar.pike:1.9
Rev: server/plugins/font_handlers/old.pike:1.13
Rev: server/plugins/font_handlers/ttf.pike:1.17
Rev: server/plugins/protocols/http.pike:1.383
Rev: server/server_core/admin_userdb.pike:1.57
Rev: server/server_core/basic_defvar.pike:1.34
Rev: server/server_core/cache.pike:1.85
Rev: server/server_core/disk_cache.pike:1.65
Rev: server/server_core/emit_object.pike:1.7
Rev: server/server_core/fonts.pike:1.88
Rev: server/server_core/global_variables.pike:1.96
Rev: server/server_core/hosts.pike:1.33
Rev: server/server_core/html.pike:1.19
Rev: server/server_core/http.pike:1.57
Rev: server/server_core/javamodule.pike:1.7
Rev: server/server_core/module.pike:1.134
Rev: server/server_core/module_support.pike:1.122
Rev: server/server_core/newdecode.pike:1.33
Rev: server/server_core/prototypes.pike:1.59
Rev: server/server_core/read_config.pike:1.67
Rev: server/server_core/roxen.pike:1.823
Rev: server/server_core/roxenlib.pike:1.217
Rev: server/server_core/roxenloader.pike:1.345
Rev: server/server_core/rxml.pike:1.328
Rev: server/server_core/rxmlhelp.pike:1.61
Rev: server/server_core/socket.pike:1.25
Rev: server/server_core/state.pike:1.22
Rev: server/server_core/supports.pike:1.28
Rev: server/server_core/throttler.pike:1.13
Rev: server/server_core/wizard.pike:1.145
Rev: server/start:1.200

1:   #!/bin/sh   # - # $Id: start,v 1.199 2002/10/01 23:18:16 nilsson Exp $ + # $Id: start,v 1.200 2002/10/22 00:06:44 nilsson Exp $      ### If --silent-start is given as the first argument,   ### nothing will be printed to stdout by the script.
298:    pass="$pass --version"    else    if [ -f server_core/roxen.pike ]; then -  echo "Internet Server `roxen_version`" +  echo "ChiliMoon `roxen_version`"    exit 0    else    echo 'server_core/roxen.pike not found!'
327:    pass="$pass --help"    else    sed -e "s/\\.B/`tput 'bold' 2>/dev/null`/g" -e "s/B\\./`tput 'sgr0' 2>/dev/null`/g" << EOF - .BThis command will start the Internet ServerB.. + .BThis command will start ChiliMoonB..      The environment variable .BROXEN_ARGSB. can be used to specify   the default arguments.
537:      ####### BEGIN PIKE OPTIONS    - # Internet Server will create files as the initial user, - # which it expects to be able to read as the run-time user. + # ChiliMoon will create files as the initial user, which it expects to + # be able to read as the run-time user.   umask 022      if [ "x$PIKE_NO_DEFAULT_PATHS" = "x" ]; then
623:    trap "" 2 15    if [ "x$ROXEN_PID" != "x" ]; then    kill $ROXEN_PID 2>/dev/null && wait $ROXEN_PID 2>/dev/null -  dp "Internet Server shutdown." +  dp "ChiliMoon shutdown."    fi    if [ "x$keep_mysql" = "x" ] ; then    if [ -f $DIR/_mysql/mysql_pid ] ; then
677:       if [ "x$once" = "x" ]; then    eval "fork_roxen \"$pike\" $args 2>>\"${DEBUGLOG}.1\" 1>&2" -  dp "Internet Server server pid $ROXEN_PID." +  dp "ChiliMoon server pid $ROXEN_PID."    wait $ROXEN_PID 2>/dev/null 1>&2    exitcode="$?"    ROXEN_PID=""
781:      if [ -z "$once" ] ; then    if [ $verbose -gt 0 ]; then -  dp "Starting the Internet Server." +  dp "Starting the ChiliMoon."    else :; fi    if [ "x$DEBUGLOG" = "x" ] ; then    DEBUGDIR="$LOGDIR/debug"
828:       if [ "$exitcode" -eq "0" ] ; then    # Clean shutdown. -  dp "Internet Server shutdown." +  dp "ChiliMoon shutdown."    signal_exit    # Note reached, but...    exit 0    fi    if [ "$exitcode" -lt "0" ] ; then    # Signal death. -  dp "Internet Server died of signal $exitcode." +  dp "ChiliMoon died of signal $exitcode."    else    case "$exitcode" in    100) -  dp "Changing Internet Server version. Restarting." +  dp "Changing ChiliMoon version. Restarting."    # We need to clean up the pid file, since we're mentioned in it...    cleanup_pid_file    cd .. && exec ./start "$@"
847:    exit 1    ;;    *) -  dp "Internet Server down with code $exitcode." +  dp "ChiliMoon down with code $exitcode."    ;;    esac    fi